// import {
//   scaleLinear,
//   extent,
//   axisLeft,
//   axisBottom,
// } from 'd3';

// export const scatterPlotRange = () => {
//   let width;
//   let height;
//   let data;
//   let xValue;
//   let yValue;
//   let margin;
//   let radius;
//   let xLabel;
//   let yLabel;
//   let timeRange;
  
//   const my = (selection) => {
//     const filteredData = data.filter(d => {
//       const diff = new Date() - new Date(d.timestamp);
//       const dayDiff = diff / (24 * 60 * 60 * 1000);
      
//       if (timeRange === '1m') {
//         return dayDiff <= 30;
//       } else if (timeRange === '6m') {
//         return dayDiff <= 30 * 6;
//       } else {
//         return true;
//       }
//     });
    
//     const x = d3.scaleTime()
//       .domain(d3.extent(filteredData, d => d.timestamp))
//       .range([margin.left, width - margin.right]);

//     const y = scaleLinear()
//       .domain(extent(filteredData, yValue))
//       .range([height - margin.bottom, margin.top]);

//     const marks = filteredData.map((d) => ({
//       x: x(xValue(d)),
//       y: y(yValue(d)),
//       p_x: xValue(d),
//       p_y: yValue(d)
//     }));
    
//     const circles = selection
//       .selectAll('circle')
//       .data(marks)
//       .join('circle')
//       .attr('cx', (d) => d.x)
//       .attr('cy', (d) => d.y)
//       .attr('r', radius)
//     	.append('title')
//   		.text((d) => `( ${d.p_x}, ${d.p_y} )`);

//     selection
//       .selectAll('.y-axis')
//       .data(marks)
//       .join('g')
//       .attr('class', 'y-axis')
//       .attr('transform', `translate(${margin.left},0)`)
//       .call(axisLeft(y))
//     	.append('text')
//     	.attr('class','axis-label')
//     	.text(yLabel)
//     	.attr('transform', 'rotate(-90)')
// 			.attr('x', -(margin.top + (height - margin.top - margin.bottom) / 2))
//  			.attr('y', -50); // Relative to the y axis
    
//     const formatDate = d3.timeFormat("%b %d, %Y");
    
//     selection
//       .selectAll('.x-axis')
//       .data(marks)
//       .join('g')
//       .attr('class', 'x-axis')
//       .attr(
//         'transform',
//         `translate(0,${height - margin.bottom})`
//       )
//       .call(axisBottom(x))
//     	.append('text')
//     	.attr('class','axis-label')
//     	.text(xLabel)
//     	.attr('x', margin.left + (width - margin.left - margin.right) / 2)
//   		.attr('y', 50) // Relative to the x axis.
    	
//   };

//   my.width = function (_) {
//     return arguments.length ? ((width = +_), my) : width;
//   };

//   my.height = function (_) {
//     return arguments.length ? ((height = +_), my) : height;
//   };

//   my.data = function (_) {
//     return arguments.length ? ((data = _), my) : data;
//   };

//   my.xValue = function (_) {
//     return arguments.length ? ((xValue = _), my) : xValue;
    
//   my.yValue = function (_) {
//     return arguments.length ? ((yValue = _), my) : yValue;
//   };

//   my.margin = function (_) {
//     return arguments.length ? ((margin = _), my) : margin;
//   };

//   my.radius = function (_) {
//     return arguments.length ? ((radius = +_), my) : radius;
//   };
  
//   my.xLabel = function (_) {
//     return arguments.length ? ((xLabel = _), my) : xLabel;
//   };
  
//   my.yLabel = function (_) {
//     return arguments.length ? ((yLabel = _), my) : yLabel;
//   };
    
//   my.timeRange = function(range) {
//   if (!range || range.length !== 2) return my;
  
//   const [start, end] = range;
//   const filteredData = data.filter((d) => {
//     const timestamp = new Date(d.timestamp);
//     return timestamp >= start && timestamp <= end;
//   });

//   // my.data(filteredData);

//   return my;
// };
